// Rectangle.java
public class Rectangle
{
   public int GetHauteur ()
   {
      return m_Hauteur;
   }
   public int GetLargeur ()
   {
      return m_Largeur;
   }
   public void SetHauteur (final int Hauteur)
   {
      if (EstHauteurValide (Hauteur))
         m_Hauteur = Hauteur;
      else
         m_Hauteur = HAUTEUR_DFAUT;
   }
   public void SetLargeur (final int Largeur)
   {
      if (EstLargeurValide (Largeur))
         m_Largeur = Largeur;
      else
         m_Largeur = LARGEUR_DFAUT;
   }
   private int GetAire ()
   {
      return GetLargeur () * GetHauteur ();
   }
   private int GetPerimtre ()
   {
      return (GetLargeur () + GetHauteur ()) * 2;
   }
   private static boolean EstLargeurValide (final int Largeur)
   {
      return Largeur >= GetLargeurMin () && Largeur <= GetLargeurMax ();
   }
   private static boolean EstHauteurValide (final int Hauteur)
   {
      return Hauteur >= GetHauteurMin () && Hauteur <= GetHauteurMax ();
   }

   public static int GetHauteurMin ()
   {
      return HAUTEUR_MIN;
   }
   public static int GetHauteurMax ()
   {
      return HAUTEUR_MAX;
   }
   public static int GetLargeurMin ()
   {
      return LARGEUR_MIN;
   }
   public static int GetLargeurMax ()
   {
      return LARGEUR_MAX;
   }

   private static final int
      HAUTEUR_MIN = 1,
      HAUTEUR_MAX = 20;
   private static final int
      LARGEUR_MIN = 1,
      LARGEUR_MAX = 50;
   private static final int
      HAUTEUR_DFAUT = HAUTEUR_MIN,
      LARGEUR_DFAUT = LARGEUR_MIN;
   private int m_Hauteur,
               m_Largeur;
   public void Dessiner ()
   {
      for (int i = 0; i < GetHauteur (); i++)
      {
         for (int j = 0; j < GetLargeur (); j++)
         {
            System.out.print ("*");
         }
         System.out.println ();
      }
   }
}
